Page MenuHomePhabricator

[Test] Remove obsolete test.
ClosedPublic

Authored by Meinersbur on Apr 15 2019, 8:22 PM.

Details

Summary

The FIXME of this test case has been addressed in r335084/r338800. Its execution still does not succeed because of multiple syntax errors.

First, the "clang" namespace is missing on each of the 4 pragmas. Second, the pragma for defining the vector width is "vectorize_width(4)" instead of "vectorize(4)". Third, the pragma for defining the interleave factor is "interleave_count(8)" instead of "interleave(8)".

The file was already using the wrong syntax when added in r210925 2014-06-13. The file ast-print-pragmas.cpp already checks for the correct pragma order, making this test redundant even if fixed.

Diff Detail

Repository
rC Clang

Event Timeline

Meinersbur created this revision.Apr 15 2019, 8:22 PM
aaron.ballman accepted this revision.Apr 16 2019, 5:23 AM

LGTM, thank you!

This revision is now accepted and ready to land.Apr 16 2019, 5:23 AM
This revision was automatically updated to reflect the committed changes.